<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/price_change.php';

$database = new Database();
$db = $database->getConnection();
 
$price_change = new PriceChange($db);
$data = json_decode(file_get_contents("php://input"));

$price_change->price_change_date = $data->price_change_date;
$price_change->city = $data->city;

$stmt = $price_change->getAllRows();
$num = $stmt->rowCount();

$arr=array();
$arr["records"]=array();
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $detail = array(
			"id" => $id,
			"price_change_date" => $price_change_date,
			"city" => $city,
			"package" => $package,
	        "package_price" => number_format($package_price),
			"fee" => number_format($fee)
        );
        array_push($arr["records"], $detail);
    }
}
echo json_encode($arr);
?>